aboutsummaryrefslogtreecommitdiff
path: root/home/dot_local/share/bin/executable_folder2cd
diff options
context:
space:
mode:
authorLoek Le Blansch <loek@pipeframe.xyz>2026-08-02 14:48:29 +0200
committerLoek Le Blansch <loek@pipeframe.xyz>2026-08-02 14:48:29 +0200
commite43eb1177872f52e949fb5f0f93396ed94b0d093 (patch)
tree78b73af6a989fa2996d71b112e161b70d35081ef /home/dot_local/share/bin/executable_folder2cd
parent2f14a896e4b897bd747c24d7ad8e9e7bb3237d03 (diff)
move to chezmoi
Diffstat (limited to 'home/dot_local/share/bin/executable_folder2cd')
-rw-r--r--home/dot_local/share/bin/executable_folder2cd23
1 files changed, 23 insertions, 0 deletions
diff --git a/home/dot_local/share/bin/executable_folder2cd b/home/dot_local/share/bin/executable_folder2cd
new file mode 100644
index 0000000..558c6ab
--- /dev/null
+++ b/home/dot_local/share/bin/executable_folder2cd
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+FILEEXT="flac"
+set -e
+
+convert() {
+ wav="${1%.flac}-cd.wav"
+ echo "ffmpeg -loglevel warning -y -i \"$1\" -sample_fmt s16 -ar 44100 \"$wav\""
+ ffmpeg -loglevel warning -y -i "$1" -sample_fmt s16 -ar 44100 "$wav"
+}
+
+export -f convert
+parallel -j4 convert ::: *.$FILEEXT
+
+FILES=`find . -name '*-cd.wav' -printf '%f\n' | sort -n`
+echo "$FILES" | xargs -d"\n" -t wodim -sao -audio -pad speed=20
+
+echo "wodim -eject"
+wodim -eject
+
+echo "rm -f *-cd.wav"
+rm -f *-cd.wav
+